import * as angular from 'angular';

import AddContentWorkflowService from './app/add-content-workflow.service';
import AddContentService from './app/add-content.service';
import TokenService from './app/core/token.service';
import ContentRestrictionService from './app/content-restriction.service';
import DocumentService from './app/document.service';
import OpenGraphService from './app/open-graph.service';
import AddContentTagService from './app/add-content-tag.service';
import AddContentSearchService from './app/add-content-search.service';
import AddContentSplitService from './app/add-content-split.service';
import AddContentTranslate from './app/add-content-translate.service';
import AvailableContentService from './app/available-content-service';

import addContentDialogComponent from './app/add-content-dialog/add-content-dialog.component';
import addContentWorkflowComponent from './app/add-content-workflow/add-content-workflow.component';
import addContentSourceStepComponent from './app/add-content-source-step/add-content-source-step.component';
import addContentDetailsStepComponent from './app/add-content-details-step/add-content-details-step.component';
import addContentTagSelectionComponent from './app/add-content-tag-selection/add-content-tag-selection.component';
import addContentSearchSelectionComponent from './app/add-content-search-selection/add-content-search-selection.component';
import addContentDetailsFormComponent from './app/add-content-details-form/add-content-details-form.component';
import inputSelectorDialogComponent from './app/input-selector-dialog/input-selector-dialog.component';
import searchSelectorDialogComponent from './app/search-selector-dialog/search-selector-dialog.component';

import createTagComponent from './app/create-tag-dialog/create-tag.component';

import ContentStatusService from "./app/content-status.service";
import contentStatusDialogComponent from './app/content-status-dialog/content-status-dialog.component';
import contentStatusComponent from './app/content-status-workflow/content-status-workflow.component';

import { translations } from './translations/index';
import './styles.less';

angular.module('MW.AddContentWorkflowBeta', [
    'ngSanitize',
    'pascalprecht.translate'
])
    .service('AddContentWorkflowService', AddContentWorkflowService)
    .service('AddContentService', AddContentService)
    .service('TokenService', TokenService)
    .service('ContentRestrictionService', ContentRestrictionService)
    .service('DocumentService', DocumentService)
    .service('OpenGraphService', OpenGraphService)
    .service('AddContentTagService', AddContentTagService)
    .service('AddContentSearchService', AddContentSearchService)
    .service('AddContentSplitService', AddContentSplitService)
    .service('AddContentTranslate', AddContentTranslate)
    .service('ContentStatusService', ContentStatusService)
    .service('AvailableContentService', AvailableContentService)
    .component(addContentDialogComponent.config.selector, addContentDialogComponent.config)
    .component(addContentWorkflowComponent.config.selector, addContentWorkflowComponent.config)
    .component(addContentTagSelectionComponent.config.selector, addContentTagSelectionComponent.config)
    .component(addContentSearchSelectionComponent.config.selector, addContentSearchSelectionComponent.config)
    .component(addContentSourceStepComponent.config.selector, addContentSourceStepComponent.config)
    .component(addContentDetailsStepComponent.config.selector, addContentDetailsStepComponent.config)
    .component(addContentDetailsFormComponent.config.selector, addContentDetailsFormComponent.config)
    .component(inputSelectorDialogComponent.config.selector, inputSelectorDialogComponent.config)
    .component(searchSelectorDialogComponent.config.selector, searchSelectorDialogComponent.config)
    .component(contentStatusDialogComponent.config.selector, contentStatusDialogComponent.config)
    .component(contentStatusComponent.config.selector, contentStatusComponent.config)
    .component(createTagComponent.config.selector, createTagComponent.config);

