const  GRAPHQL_SEARCH_URL  = process.env.GRAPHQL_SEARCH_URL;

class AddContentSearchService {
    Authorization: string;
    /*@ngInject*/
    constructor(
        private $q,
        private $http,
        private TokenService
    ) {
        this.Authorization = this.TokenService.getAuthToken();
    }

    getSearchesForCompany(companyId) {
        const deferred = this.$q.defer();
        this.$http({
            method: 'POST',
            url: GRAPHQL_SEARCH_URL,
            headers: {
                'Authorization': this.Authorization,
                'ApolloGraphql-Client-Name': 'Added-content'
            },
            data: JSON.stringify({
                "operationName": "SearchSelector",
                "variables": {},
                "query": "query SearchSelector {\n    viewer {\n      _id\n      searches {\n        id\n        name\n     informationTypes \n}\n    }\n  }"
            }),
        })
            .then(response => {
                if(response.data && response.data.data && response.data.data.viewer && response.data.data.viewer.searches){
                    deferred.resolve(response.data.data.viewer.searches);
                }else{
                    deferred.resolve([]);
                }
            })
            .catch(deferred.reject);
        return deferred.promise;
    }
}

export default AddContentSearchService;
