const FEATURE_TOGGLE_URL =
  process.env.FEATURE_TOGGLE_URL;

class AddContentSplitService {
  Authorization: string;
  /*@ngInject*/
  constructor(private $q, private $http, private TokenService) {
    this.Authorization = this.TokenService.getAuthToken();
  }

  getFeatureToggle(toggleName, companyId) {
    const deferred = this.$q.defer();
    this.$http({
      method: "POST",
      url: `${FEATURE_TOGGLE_URL}/treatment/${companyId}`,
      headers: {
        Authorization: this.Authorization,
      },
      data: JSON.stringify({
        feature: toggleName,
        attributes: {
          key: companyId,
        },
      }),
    })
      .then((response) => {
        deferred.resolve(response.data.feature === 'on');
      })
      .catch(deferred.reject);
    return deferred.promise;
  }
}

export default AddContentSplitService;
