import * as angular from 'angular';

class DocumentService {
    Authorization: string;
    /*@ngInject*/
    constructor(
        private $http,
        private $q,
        private TokenService,
    ) {
        this.Authorization = this.TokenService.getAuthToken();
    }

    getExistingDocuments = (existingDocumentsQuery) => {
        let deferred = this.$q.defer();
        this.$http({
            method: 'POST',
            url: `${process.env.SEARCH_SERVICE_URL}`,
            headers: {
                'Authorization': this.Authorization,
            },
            data: existingDocumentsQuery
        })
            .then(response => {
                deferred.resolve(response.data.documents);
            })
            .catch(error => {
                deferred.resolve([]);
            });

        return deferred.promise;
    }
}

export default DocumentService;
