import * as angular from 'angular';
import { url } from 'inspector';

class OpenGraphService {
    Authorization: string;
    /*@ngInject*/
    constructor(
        private $http,
        private $q,
        private TokenService,
    ) {
        this.Authorization = this.TokenService.getAuthToken();
    }

    scrapeUrls = (urls) => {
        if (!Array.isArray(urls)) {
            urls = [urls];
        }
        const urlBody = JSON.stringify({urls: urls});
        let deferred = this.$q.defer();
        this.$http({
            method: 'POST',
            url: `${process.env.ADD_CONTENT_BFF_URL}/bulk-scrape`,
            headers: {
                'Authorization': this.Authorization,
            },
            data: urlBody
        })
            .then(response => {
                deferred.resolve(response.data[0]);
            })
            .catch(deferred.reject);

        return deferred.promise;
    }
}

export default OpenGraphService;
